Package org.apache.ignite.internal.cache.query.index.sorted

## Interface IndexRow

All Known Implementing Classes:
  `DefragIndexFactory.DefragIndexRowImpl`, `IndexPlainRowImpl`, `IndexRowImpl`

    public interface IndexRow

Represents an index row stored in a tree.

### Method Summary

All Methods Instance Methods Abstract Methods
`CacheDataRow` `cacheDataRow()`
`boolean` `indexPlainRow()`
`IndexKey` `key​(int idx)`
`int` `keysCount()`
`long` `link()`
`InlineIndexRowHandler` `rowHandler()`

### Method Detail

#### key

    IndexKey key​(int idx)

Parameters:
  `idx` - Index of a key.
Returns:
  Underlying key by specified index.

#### keysCount

    int keysCount()

Returns:
  Keys count.

#### link

    long link()

Returns:
  Link to a cache row.

#### rowHandler

    InlineIndexRowHandler rowHandler()

Returns:
  Schema of an index.

#### cacheDataRow

    CacheDataRow cacheDataRow()

Returns:
  Cache row.

#### indexPlainRow

    boolean indexPlainRow()

Returns:
  `True` for rows used for index search (as opposed to rows stored in `InlineIndexTree`.